#
# spec file for package intel-i810-drm (Version 1.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           intel-i810-drm
BuildRequires:  kernel-source kernel-syms
ExcludeArch:    ia64 ppc ppc64 s390 s390x
License:        GPL v2 or later
Group:          System/Kernel
Summary:        Updated drm kernel module for Intel Graphics
Version:        1.2
Release:        1.6.41
Source0:        %name-1.0.tar.bz2
Source1:        preamble
Patch:          i915_pci_table.diff
Patch1:         intel-i810-drm-1.0-965GM.patch
Patch2:         intel_drm_20070810.patch
Patch3:         xen-bug343721.diff
Patch4:         s2ram-bug377896.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%suse_kernel_module_package -p %_sourcedir/preamble kdump um

%description
Installs the drm.ko and i915.ko kernel drm modules that support the
Intel(R) 855GM, 852GM, 865G, 915G, 915GM, 945G, 945GM, 946GZ, Q965 and
G965 Graphics chipsets.



Authors:
--------
    Gareth Hughes <gareth@valinux.com>
    Rickard E. (Rik) Faith <faith@valinux.com>
    Daryll Strauss <daryll@valinux.com>
    Paul Mackerras <paulus@samba.org>
    Jose Fonseca <jrfonseca@tungstengraphics.com>
    Leif Delgass <ldelgass@retinalburn.net>
    Michel Daenzer <michel@daenzer.net>
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    Jose Fonseca <j_r_fonseca@yahoo.co.uk>
    Jeff Hartmann <jhartmann@valinux.com>
    Dave Airlie <airlied@linux.ie>

%package KMP
License:        GPL v2 or later
Summary:        Updated drm kernel module for Intel Graphics
Group:          System/Kernel

%description KMP
Installs the drm.ko and i915.ko kernel drm modules that support the
Intel(R) 855GM, 852GM, 865G, 915G, 915GM, 945G, 945GM, 946GZ, Q965 and
G965 Graphics chipsets.



Authors:
--------
    Gareth Hughes <gareth@valinux.com>
    Rickard E. (Rik) Faith <faith@valinux.com>
    Daryll Strauss <daryll@valinux.com>
    Paul Mackerras <paulus@samba.org>
    Jose Fonseca <jrfonseca@tungstengraphics.com>
    Leif Delgass <ldelgass@retinalburn.net>
    Michel Daenzer <michel@daenzer.net>
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    Jose Fonseca <j_r_fonseca@yahoo.co.uk>
    Jeff Hartmann <jhartmann@valinux.com>
    Dave Airlie <airlied@linux.ie>

%prep
%setup -n %name-1.0
%patch
%patch1 -p2
%patch2 -p4
%patch4 -p4
# mark as supported (Bug #249665)
cat > Module.supported << EOF
drm.ko external
i915.ko external
EOF
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"1.0\"'
for flavor in %flavors_to_build; do
    echo "*** flavor: $flavor"
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    ### Bug #343721
    echo $flavor | grep -q -i xen && \
      patch -d obj/$flavor -i $RPM_SOURCE_DIR/xen-bug343721.diff
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Tue Jun  3 2008 sndirsch@suse.de
- s2ram-bug377896.diff
  * clean up VBLANK interrupt after receiving the interrupt or
    before uninstalling the handler; fixes s2ram stress tests
    (bnc #377896)
* Wed Dec  5 2007 sndirsch@suse.de
- xen-bug343721.diff
  * required and only applied for Xen kernels (Bug #343721)
* Tue Sep 18 2007 sndirsch@suse.de
- intel_drm_20070810.patch:
  * Freedesktop BZ #9045
  * Bearlake (G33/Q33/Q35) support
  * New SKUs (945GME/965GME/965GLE) support
- obsoletes bug298309.diff
- adjusted require versions (Bug #306693, comment #6)
* Tue Sep 18 2007 sndirsch@suse.de
- intel-i810-drm-1.0-965GM.patch:
  * support for 965GM (backported by Intel)
- bumped package version number to 1.1
* Tue Aug 21 2007 sndirsch@suse.de
- bug298309.diff:
  * 915G/945G/965G chipsets moved the batch buffer non-secure bits
    to another place. This means that previous drm's allowed
    in-secure batchbuffers to be submitted to the hardware from
    non-privileged users who are logged into X and and have access
    to direct rendering. (Bug #298309)
* Tue Mar  6 2007 sndirsch@suse.de
- mark kernel modules as supported (Bug #249665)
* Sat Jan 13 2007 sndirsch@suse.de
- i915_pci_table.diff:
  * added support for 855 GM (0x3582) (tested by dkukawka)
* Wed Dec 20 2006 sndirsch@suse.de
- Intel Broadwater support (FATE #301419, Bug #173465)
* Tue Dec 19 2006 sndirsch@suse.de
- Requires need to be set in an external "preamble" file
* Tue Dec 19 2006 sndirsch@suse.de
- removed support for untested 830/845/855/865 chipsets
* Mon Sep 11 2006 german.monroy@intel.com
- Updated description
* Mon Sep 11 2006 sndirsch@suse.de
- reenabled i915_pci_table.diff: register Intel devices, so YaST will
  autoselect this packages when such a hardware is detected, but no longer limit
  it to 965
- require intel-i810-xorg-x11 + intel-i810-Mesa to make sure these are
  installed as well, when the intel-i810-drm is installed
* Fri Sep  8 2006 german.monroy@intel.com
- disabled i915_pci_table.diff since Xgl seems to be working in i915
* Mon Aug 14 2006 sndirsch@suse.de
- i915_pci_table.diff:
  * register supported devices, so this package can get
    autoselected by YaST via the package Supplements mechanism
  * limit support to new 946GZ/965G/965G-1/965Q devices
* Fri Apr 28 2006 german.monroy@intel.com
- Sources are a copy of linux/drivers/char/drm
- TODO: Make intel-i810-Mesa depend on this module
- TODO: Remove non-intel drivers from sources
- TODO: Why drm.ko is 80979 bytes instead of 80340
- TODO: Why i915.ko is 26591 bytes instead of 26536
* Sat Jan 28 2006 agruen@suse.de
- Initial package.
